Image Transformations
Manage image transformations in the VARIO Cloud API, including resizing, rotation, watermarks, sharing, storage duration and file downloads.
Manage transformations for image resource
Image identifier.
transformation id
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
For distinguishing different transformations.
Width in pixels.
Height in pixels.
Rotation in degrees.
Watermark.
Internal reference to the physical file.
When the physical file was created.
For how many days this physical file is kept (0 means unlimited).
GET /dms/resources/{id}/transformations/{transformationId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"uiKey": "text",
"share": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"publicUrlPath": "text",
"publicUrlCreatedAt": "2026-01-01",
"publicUrlDurationInMinutes": 1,
"availability": "UNLIMITED",
"timesUsed": 1,
"appId": "123e4567-e89b-12d3-a456-426614174000",
"sharedByExternalRef": "text",
"revision": 1,
"eTag": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"publishState": "SYNCED",
"translatableTexts": [],
"etag": "text"
},
"sizeX": 1,
"sizeY": 1,
"rotation": 1,
"watermarkLabel": "text",
"imageFileStorageHandle": "text",
"imageFileCreatedAt": "2026-01-01",
"imageFileDuration": 1
}Image identifier.
transformationId
Version Identifier for this Object (for PUT)
Unique identifier of the Object
For distinguishing different transformations.
Width in pixels.
Height in pixels.
Rotation in degrees.
Watermark.
Internal reference to the physical file.
When the physical file was created.
For how many days this physical file is kept (0 means unlimited).
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
For distinguishing different transformations.
Width in pixels.
Height in pixels.
Rotation in degrees.
Watermark.
Internal reference to the physical file.
When the physical file was created.
For how many days this physical file is kept (0 means unlimited).
Resource was not valid to process
PUT /dms/resources/{id}/transformations/{transformationId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 751
{
"version": "text",
"info": {},
"id": "text",
"uiKey": "text",
"share": {
"version": "text",
"info": {},
"id": "text",
"publicUrlDurationInMinutes": 1,
"availability": "UNLIMITED",
"appId": "123e4567-e89b-12d3-a456-426614174000",
"sharedByExternalRef": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"publishState": "SYNCED",
"translatableTexts": [],
"etag": "text"
},
"sizeX": 1,
"sizeY": 1,
"rotation": 1,
"watermarkLabel": "text",
"imageFileDuration": 1
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"uiKey": "text",
"share": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"publicUrlPath": "text",
"publicUrlCreatedAt": "2026-01-01",
"publicUrlDurationInMinutes": 1,
"availability": "UNLIMITED",
"timesUsed": 1,
"appId": "123e4567-e89b-12d3-a456-426614174000",
"sharedByExternalRef": "text",
"revision": 1,
"eTag": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"publishState": "SYNCED",
"translatableTexts": [],
"etag": "text"
},
"sizeX": 1,
"sizeY": 1,
"rotation": 1,
"watermarkLabel": "text",
"imageFileStorageHandle": "text",
"imageFileCreatedAt": "2026-01-01",
"imageFileDuration": 1
}Image identifier.
an identifier
OK
message context
message
DELETE /dms/resources/{id}/transformations/{transformationId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"context": "text",
"messageValue": "text"
}Image identifier.
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
For distinguishing different transformations.
Width in pixels.
Height in pixels.
Rotation in degrees.
Watermark.
Internal reference to the physical file.
When the physical file was created.
For how many days this physical file is kept (0 means unlimited).
GET /dms/resources/{id}/transformations HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]Image identifier.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
For distinguishing different transformations.
Width in pixels.
Height in pixels.
Rotation in degrees.
Watermark.
Internal reference to the physical file.
When the physical file was created.
For how many days this physical file is kept (0 means unlimited).
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
For distinguishing different transformations.
Width in pixels.
Height in pixels.
Rotation in degrees.
Watermark.
Internal reference to the physical file.
When the physical file was created.
For how many days this physical file is kept (0 means unlimited).
Resource was not valid to process
POST /dms/resources/{id}/transformations HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 751
{
"version": "text",
"info": {},
"id": "text",
"uiKey": "text",
"share": {
"version": "text",
"info": {},
"id": "text",
"publicUrlDurationInMinutes": 1,
"availability": "UNLIMITED",
"appId": "123e4567-e89b-12d3-a456-426614174000",
"sharedByExternalRef": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"publishState": "SYNCED",
"translatableTexts": [],
"etag": "text"
},
"sizeX": 1,
"sizeY": 1,
"rotation": 1,
"watermarkLabel": "text",
"imageFileDuration": 1
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"uiKey": "text",
"share": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"publicUrlPath": "text",
"publicUrlCreatedAt": "2026-01-01",
"publicUrlDurationInMinutes": 1,
"availability": "UNLIMITED",
"timesUsed": 1,
"appId": "123e4567-e89b-12d3-a456-426614174000",
"sharedByExternalRef": "text",
"revision": 1,
"eTag": "text",
"custom": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"publishState": "SYNCED",
"translatableTexts": [],
"etag": "text"
},
"sizeX": 1,
"sizeY": 1,
"rotation": 1,
"watermarkLabel": "text",
"imageFileStorageHandle": "text",
"imageFileCreatedAt": "2026-01-01",
"imageFileDuration": 1
}Image identifier.
transformationId
Optional: requested content disposition from the request.
Response contains File
Response with download-url
Location attribute contains alternate download location
Resource was not valid to process
GET /dms/resources/{id}/transformations/{transformationId}/file HTTP/1.1
Host: api.example.com
Accept: */*
{}Last updated
Was this helpful?